=== debian/control ===
Source: webvfx
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.mltframework.org/docs/webvfx/
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 10),
               libmlt-dev (>= 0.6.12),
               qtbase5-dev,
               libqt5webkit5-dev,
               libqt5opengl5-dev,
               pkg-config

Package: qmelt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: melt executable with WebVfx support
 Video effects library that allows effects to be implemented using WebKit
 HTML or Qt QML.

Package: libwebvfx1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video effects library
 WebVfx is a video effects framework that allows video effects (filters,
 transitions etc.) to be authored using web technologies (HTML, CSS,
 JavaScript, WebGL etc.) or with Qt Quick QML (a declarative CSS and
 JavaScript like language).
