=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ -Bbuild -Sqmake

override_dh_auto_configure:
	dh_auto_configure -- \
	MLT_SOURCE=$(CURDIR)/mlt-6-12-0 ../

override_dh_install:
	rm debian/tmp/usr/lib/libwebvfx.so

	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean .qmake.cache

override_dh_strip:
	dh_strip --no-automatic-dbgsym
